diff --git a/platform/j784s4/rtos/c7x_3/main.c b/platform/j784s4/rtos/c7x_3/main.c
index f239a39..abaf2e5 100755
--- a/platform/j784s4/rtos/c7x_3/main.c
+++ b/platform/j784s4/rtos/c7x_3/main.c
@@ -271,163 +271,165 @@ void appMmuMap(Bool is_secure)
     {
         goto mmu_exit;
     }
-    
-    /* DDR Local heap non cacheable */
-    retVal = Mmu_map(DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_ADDR, DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+
+    /*-------------------------------------------------------*/
+    /* Cachable region memory attributes                     */
+    /*-------------------------------------------------------*/
+
+
+    attrs.attrIndx = Mmu_AttrIndx_MAIR7;
+
+    retVal = Mmu_map(0x80000000U, 0x80000000U, 0x20000000U, &attrs, is_secure); /* OCMC - 1MB */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_1_LOCAL_HEAP_NON_CACHEABLE_ADDR, DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(0xA0000000U, 0xA0000000U, 0x20000000U, &attrs, is_secure); /* OCMC - 1MB */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_2_LOCAL_HEAP_NON_CACHEABLE_ADDR, DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(0x70000000U, 0x70000000U, 0x00800000U, &attrs, is_secure); /* MSMC - 8MB */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_4_LOCAL_HEAP_NON_CACHEABLE_ADDR, DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(0x41C00000U, 0x41C00000U, 0x00100000U, &attrs, is_secure); /* OCMC - 1MB */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
-    
-    /* DDR scratch non cacheable */
-    retVal = Mmu_map(DDR_C7X_3_SCRATCH_NON_CACHEABLE_ADDR, DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_3_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+
+    /*The region mapped by the MMU is intentionally set to 2MB for L2 SRAM since
+      page sizes are a function of the region size and having smaller page sizes
+      negatively affects the performance of L2 SRAM as the table walks with the
+      translation table in DDR are expensive, especially in context of high-
+      throughput, low-latency memory like L2 SRAM*/
+    retVal = Mmu_map(L2RAM_C7x_3_ADDR, L2RAM_C7x_3_ADDR, 0x00200000, &attrs, is_secure); /* L2 sram 448KB        */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_1_SCRATCH_NON_CACHEABLE_ADDR, DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7x_3_DTS_ADDR, DDR_C7x_3_DTS_ADDR, DDR_C7x_3_DTS_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_2_SCRATCH_NON_CACHEABLE_ADDR, DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    /* DDR Local heap */
+    retVal = Mmu_map(DDR_C7X_3_LOCAL_HEAP_ADDR, DDR_C7X_3_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_3_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_4_SCRATCH_NON_CACHEABLE_ADDR, DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_1_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    /*-------------------------------------------------------*/
-    /* Cachable region memory attributes                     */
-    /*-------------------------------------------------------*/
-
-
-    attrs.attrIndx = Mmu_AttrIndx_MAIR7;
-
-    retVal = Mmu_map(0x80000000U, 0x80000000U, 0x20000000U, &attrs, is_secure); /* OCMC - 1MB */
+    retVal = Mmu_map(DDR_C7X_2_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(0xA0000000U, 0xA0000000U, 0x20000000U, &attrs, is_secure); /* OCMC - 1MB */
+    retVal = Mmu_map(DDR_C7X_4_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(0x70000000U, 0x70000000U, 0x00800000U, &attrs, is_secure); /* MSMC - 8MB */
+    /* DDR scratch */
+    retVal = Mmu_map(DDR_C7X_3_SCRATCH_ADDR, DDR_C7X_3_SCRATCH_PHYS_ADDR, DDR_C7X_3_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(0x41C00000U, 0x41C00000U, 0x00100000U, &attrs, is_secure); /* OCMC - 1MB */
+    retVal = Mmu_map(DDR_C7X_1_SCRATCH_PHYS_ADDR, DDR_C7X_1_SCRATCH_PHYS_ADDR, DDR_C7X_1_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    /*The region mapped by the MMU is intentionally set to 2MB for L2 SRAM since
-      page sizes are a function of the region size and having smaller page sizes
-      negatively affects the performance of L2 SRAM as the table walks with the
-      translation table in DDR are expensive, especially in context of high-
-      throughput, low-latency memory like L2 SRAM*/
-    retVal = Mmu_map(L2RAM_C7x_3_ADDR, L2RAM_C7x_3_ADDR, 0x00200000, &attrs, is_secure); /* L2 sram 448KB        */
+    retVal = Mmu_map(DDR_C7X_2_SCRATCH_PHYS_ADDR, DDR_C7X_2_SCRATCH_PHYS_ADDR, DDR_C7X_2_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7x_3_DTS_ADDR, DDR_C7x_3_DTS_ADDR, DDR_C7x_3_DTS_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_4_SCRATCH_PHYS_ADDR, DDR_C7X_4_SCRATCH_PHYS_ADDR, DDR_C7X_4_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
-
-    /* DDR Local heap */
-    retVal = Mmu_map(DDR_C7X_3_LOCAL_HEAP_ADDR, DDR_C7X_3_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_3_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
+     
+    /* DDR shared mem */
+    retVal = Mmu_map(DDR_SHARED_MEM_ADDR, DDR_SHARED_MEM_PHYS_ADDR, DDR_SHARED_MEM_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_1_LOCAL_HEAP_ADDR, DDR_C7X_1_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(MSMC_C7x_3_ADDR, MSMC_C7x_3_ADDR, MSMC_C7x_3_SIZE, &attrs, is_secure); /* Local MSMC   */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_2_LOCAL_HEAP_ADDR, DDR_C7X_2_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
+    attrs.attrIndx = Mmu_AttrIndx_MAIR0;
+
+    /* DDR Local heap non cacheable */
+    retVal = Mmu_map(DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_ADDR, DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_4_LOCAL_HEAP_ADDR, DDR_C7X_4_LOCAL_HEAP_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    /* DDR scratch */
-    retVal = Mmu_map(DDR_C7X_3_SCRATCH_ADDR, DDR_C7X_3_SCRATCH_PHYS_ADDR, DDR_C7X_3_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_1_SCRATCH_ADDR, DDR_C7X_1_SCRATCH_PHYS_ADDR, DDR_C7X_1_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
-
-    retVal = Mmu_map(DDR_C7X_3_2_SCRATCH_ADDR, DDR_C7X_2_SCRATCH_PHYS_ADDR, DDR_C7X_2_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
+    
+    /* DDR scratch non cacheable */
+    retVal = Mmu_map(DDR_C7X_3_SCRATCH_NON_CACHEABLE_ADDR, DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_3_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(DDR_C7X_3_4_SCRATCH_ADDR, DDR_C7X_4_SCRATCH_PHYS_ADDR, DDR_C7X_4_SCRATCH_SIZE, &attrs, is_secure); /* ddr            */
+    retVal = Mmu_map(DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_1_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
-     
-    /* DDR shared mem */
-    retVal = Mmu_map(DDR_SHARED_MEM_ADDR, DDR_SHARED_MEM_PHYS_ADDR, DDR_SHARED_MEM_SIZE, &attrs, is_secure); /* ddr            */
+
+    retVal = Mmu_map(DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_2_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
     }
 
-    retVal = Mmu_map(MSMC_C7x_3_ADDR, MSMC_C7x_3_ADDR, MSMC_C7x_3_SIZE, &attrs, is_secure); /* Local MSMC   */
+    retVal = Mmu_map(DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_ADDR, DDR_C7X_4_SCRATCH_NON_CACHEABLE_SIZE, &attrs, is_secure); /* ddr            */
     if(retVal == UFALSE)
     {
         goto mmu_exit;
@@ -509,22 +511,6 @@ void InitMmu(void)
     appCacheInit();
 }
 
-static void convertVirt2Phys(uint64_t virtAddr, uint64_t virtBase, uint64_t physBase, uint64_t size, uint64_t * phyAddr)
-{
-    if ( ((uint64_t)virtAddr >= virtBase) &&
-         ((uint64_t)virtAddr < (virtBase + size)) )
-    {
-        if (virtBase >= physBase)
-        {
-            *phyAddr = (uint64_t)virtAddr - (virtBase - physBase);
-        }
-        else
-        {
-            *phyAddr = (uint64_t)virtAddr + (physBase - virtBase);
-        }
-    }
-}
-
 uint64_t appTarget2SharedConversion(const uint64_t virtAddr)
 {
     uint64_t phyAddr = (uint64_t)virtAddr; /* Default : Return virtAddr without any modification */
@@ -542,44 +528,6 @@ uint64_t appTarget2SharedConversion(const uint64_t virtAddr)
             phyAddr = (uint64_t)virtAddr - (DDR_SHARED_MEM_ADDR - DDR_SHARED_MEM_PHYS_ADDR);
         }
     }
-    else
-    {
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_1_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_2_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_4_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_1_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_1_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_1_LOCAL_HEAP_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_2_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_2_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_2_LOCAL_HEAP_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_3_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_3_LOCAL_HEAP_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_4_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_4_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_4_LOCAL_HEAP_PHYS_SIZE, &phyAddr);
-        
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_1_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_2_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_4_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &phyAddr);
-        
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_1_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_1_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_1_SCRATCH_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_2_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_2_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_2_SCRATCH_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_3_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_3_SCRATCH_PHYS_SIZE, &phyAddr);
-        convertVirt2Phys(virtAddr, (uint64_t)DDR_C7X_3_4_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_4_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_4_SCRATCH_PHYS_SIZE, &phyAddr);
-    }
 
   return phyAddr;
 }
@@ -591,22 +539,6 @@ uint64_t appUdmaVirtToPhyAddrConversion(const void *virtAddr,
     return appTarget2SharedConversion((uint64_t)virtAddr);
 }
 
-static void convertPhys2Virt(uint64_t shared_ptr, uint64_t virtBase, uint64_t physBase, uint64_t size, uint64_t * target_ptr)
-{
-    if ( ((uint64_t)shared_ptr >= physBase) &&
-         ((uint64_t)shared_ptr < (physBase + size)) )
-    {
-        if (physBase >= virtBase)
-        {
-            *target_ptr = shared_ptr - (physBase - virtBase);
-        }
-        else
-        {
-            *target_ptr = (uint64_t)shared_ptr + (virtBase - physBase);
-        }
-    }
-}
-
 uint64_t appShared2TargetConversion(const uint64_t shared_ptr)
 {
     uint64_t target_ptr = shared_ptr;
@@ -624,44 +556,6 @@ uint64_t appShared2TargetConversion(const uint64_t shared_ptr)
             target_ptr = (uint64_t)shared_ptr + (DDR_SHARED_MEM_ADDR - DDR_SHARED_MEM_PHYS_ADDR);
         }
     }
-    else
-    {
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_1_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_1_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_2_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_2_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_3_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_4_LOCAL_HEAP_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_4_LOCAL_HEAP_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_1_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_1_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_1_LOCAL_HEAP_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_2_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_2_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_2_LOCAL_HEAP_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_3_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_3_LOCAL_HEAP_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_4_LOCAL_HEAP_ADDR, 
-            (uint64_t) DDR_C7X_4_LOCAL_HEAP_PHYS_ADDR, (uint64_t)DDR_C7X_4_LOCAL_HEAP_PHYS_SIZE, &target_ptr);
-        
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_1_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_1_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_2_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_2_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_3_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_4_SCRATCH_NON_CACHEABLE_ADDR, 
-            (uint64_t) DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_ADDR, (uint64_t)DDR_C7X_4_SCRATCH_NON_CACHEABLE_PHYS_SIZE, &target_ptr);
-        
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_1_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_1_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_1_SCRATCH_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_2_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_2_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_2_SCRATCH_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_3_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_3_SCRATCH_PHYS_SIZE, &target_ptr);
-        convertPhys2Virt(shared_ptr, (uint64_t)DDR_C7X_3_4_SCRATCH_ADDR, 
-            (uint64_t) DDR_C7X_4_SCRATCH_PHYS_ADDR, (uint64_t)DDR_C7X_4_SCRATCH_PHYS_SIZE, &target_ptr);
-    }
     return target_ptr;
 }
 
